if [ "$1" = "" ]; then
    read
fi
if [ "$2" = "" ]; then
    read
fi
if [ ! -f "$1" ]; then
    read
fi
echo "Running validator"
wine files/towin.exe "$1" | wine files/main.exe
if [ "$?" -ne "0" ]; then
    read
fi
cp $1 alternative.in
echo "Running solution sol_ap_up_ok.dpr"
wine solutions/sol_ap_up_ok.exe
if [ "$?" -ne "0" ]; then
    echo "Solution returned non-zero exit code"
    read
fi
rm -f alternative.in
if [ ! -f "alternative.out" ]; then
    echo "Solution didn't produced output [alternative.out]"
    read
fi
mv "alternative.out" "$2"
echo "Running checker"
wine check.exe $1 $2 $2
if [ "$?" -ne "0" ]; then
    echo "Checker returned non-zero exit code"
    read
fi
